
QGIS Application - Feature request #4103

"Snap Tolerance" dialogue text needs to be updated

2011-07-20 01:51 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied:Yes Resolution:

Easy fix?: No Copied to github as #: 14085

Description

In trunk the "Snap Tolerance" dialogue (which you get if you don't click somewhere valid when using digitizing tools like the node tool,

"delete part" and "delete ring") says this:

Could not snap segment.

Have you set the tolerance in Settings > Project Properties > General?

I think it should say:

Could not snap segment.

Have you set the tolerance in Settings > Snapping Options

Associated revisions

Revision 798d17b1 - 2013-05-29 08:40 PM - Jürgen Fischer

fix #4103

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-02-15 09:02 PM - Leyan Ouyang

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

It is a simple change that could improve usability as people are currently lead to a non-existing setting. The actual setting controlling this behavior is in

"Settings > Options > Digitizing > Search radius for vertex edits".

#3 - 2012-02-15 09:12 PM - Alister Hood

- Priority changed from Low to High

Alister wrote:

I think it should say:
Could not snap segment. Have you set the tolerance in Settings > Snapping Options ?

Actually, I'm guessing it should say this:

Could not snap to segment.  Have you set the tolerance in Settings > Snapping Options ?

#4 - 2012-03-04 03:39 AM - Arunmozhi P

- File vertex-tool.patch added

Patch added to fix this with text

Could not snap to segment. Have you set the tolerance in Settings > Snapping Options ?

#5 - 2012-03-04 03:42 AM - Arunmozhi P

- File vertex-tool.patch added

Sorry. There was a repetition of text in the previous patch. New patch attached.

#6 - 2012-03-04 04:26 AM - Leyan Ouyang

Please read my earlier comment, the setting controlling the distance to snap to point when clicking is not in "Settings > Snapping Options", it is "Settings >

Options > Digitizing > Search radius for vertex edits".

#7 - 2012-03-04 10:27 PM - Arunmozhi P

- File snapfix.patch added

Koxinga Koxinga wrote:

Please read my earlier comment, the setting controlling the distance to snap to point when clicking is not in "Settings > Snapping Options", it is

"Settings > Options > Digitizing > Search radius for vertex edits".

Forgive me. I thought that both the snap settings meant the same. I have updated with new patch.

#8 - 2012-03-14 04:53 AM - maning sambale

An enhancement in this message window is a button to open the Snapping Options dialog directly.

#9 - 2012-04-16 05:54 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

- Tracker changed from Bug report to Feature request
#10 - 2012-04-16 06:28 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#11 - 2012-05-06 05:45 AM - Nathan Woodrow

Does this dialog even show up anymore. I can't get it to show up even when not clicking near a segment.

#12 - 2012-05-23 08:24 PM - Alister Hood

To use the node tool you (1) click on the object (or its border if it is a polygon), then (2) click on nodes or edges/line segments to drag them around.

Currently you get this dialog only if you miss the object in step (1).  To be consistent either it should be shown whether you miss the object in (1) or (2), or it

shouldn't be shown in both cases.

I guess some people would even want an option to choose whether or not it is shown...

#13 - 2012-05-24 04:22 AM - Alister Hood

Sorry, let me rewrite that:

Yes, it does show up still.

To use the node tool you (1) click on the object (or its border if it is a polygon), then (2) click on nodes or edges/line segments to drag them around.

Currently you get this dialog only if you miss the object in step (1).  Maybe you were trying in step (2).  Or perhaps you selected the option not to show it

again.

To be consistent either it should be shown whether you miss the object in (1) or (2), or if you've selected the option not to show it again, then it shouldn't be

shown in either case.

#14 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#15 - 2013-05-29 09:41 AM - Paolo Cavallini

- Priority changed from High to Normal

#16 - 2013-05-29 11:46 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"798d17b12a80f2c73b461ce3e23e40ee86841a08".

Files

vertex-tool.patch 749 Bytes 2012-03-04 Arunmozhi P

vertex-tool.patch 815 Bytes 2012-03-04 Arunmozhi P

snapfix.patch 662 Bytes 2012-03-04 Arunmozhi P
